<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Delete ServiceType
 * @subpackage Services
 */
class Delete extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Delete_Dispatcher
     * Meta information extracted from the WSDL
     * - documentation: Delete dispatcher
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Delete_Dispatcher $parameters
     * @return \StructType\Delete_DispatcherResponse|bool
     */
    public function Delete_Dispatcher(\StructType\Delete_Dispatcher $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Delete_Dispatcher($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Delete_DispatcherResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
